<?php include('../inc/header.php'); ?>
<div id="home"></div>
<div id="landing" class="fullpage">
	<div class="main-banner">
		<img src="assets/myles-logo.png">
		<div class="main-banner-buttons">
			<a href="/#donate">Donate</a>
			<a href="/#joinus">Join</a>
		</div>
	</div>
</div>
<div id="landing-mobile" class="fullpage">
	<div class="main-banner">
        <div class="main-banner-header">
            <div class="main-banner-icon">
                <img src="assets/myles-logo.png">
            </div>
            <div class="mobile-only hamburger-container">
                <div class="hamburger" data-target-id="mobile-nav-menu">
                    <div class="hamburger-line"></div>
                    <div class="hamburger-line"></div>
                    <div class="hamburger-line"></div>
                    <div class="hamburger-open">
                        <p>&times;</p>
                    </div>
                </div>
            </div>
        </div>
        <div class="main-banner-content">
            <div id="mobile-nav-menu">
                <a href="/#about">About</a>
                <a href="/#signs">Signs</a>
                <a href="/#joinus">Join</a>
                <a href="/#volunteer">Volunteer</a>
                <a href="/#donate">Donate</a>
                <a href="/#contact">Contact</a>
            </div>
            <div class="main-banner-buttons">
                <a href="#donate">Donate</a>
                <a href="#joinus">Join</a>
            </div>
        </div>
	</div>
</div>
<div id="about" class="fullpage">
    <div class="panel">
		<h1>About Miles</h1>
        <img src="assets/portrait.png">
        <p>Miles is a working class member of District Three and truly understands the the biggest issues facing our community. Miles will not let anything get in the way of improving our standard of living, and the safety of our neighborhoods.</p>
	</div>
	<div class="container">
        <div class="center">
            <h1 class="mobile-only">About Miles</h1>
        </div>
        <div>
			<ol>
				<li>Let's work to make San Jose more affordable</li>
				<p></p>
				<li>Develop District 3 and Downtown San Jose</li>
				<p></p>
				<li>Create a direct line of communication with the city government</li>
			</ol>
		</div>
		<div class="read-more">
			<a class="button" href="/policies.php">Read more</a>
		</div>
	</div>
</div>
<div id="signs" class="fullpage">
	<div class="container">
		<div class="header">
			<h1>Request a Sign</h1>
		</div>
		<div class="banner">
			<form id="signForm" action="/requestSign.php" method="POST">
				<div>
					<input type="text" name="address" placeholder="Address" required>
				</div>
				<div>
                    <label>Quantity</label>
					<input type="number" min="1" name="quantity" placeholder="1" value="1" required>
				</div>
				<div>
                    <label>
                        Would you like a wire stake?
                        <input type="checkbox" name="wire_stake" required>
                    </label>
				</div>
				<div>
					<button type="submit">Request</button>
				</div>
			</form>
		</div>
	</div>
</div>
<div id="joinus" class="fullpage">
	<div class="container">
		<div class="header">
			<h1>Join</h1>
		</div>
		<div class="banner">
			<form id="subscribeForm" action="/subscribe.php" method="POST">
				<div>
					<input type="text" name="full_name" placeholder="Full Name" required>
				</div>
				<div>
					<input type="email" name="email" placeholder="Email" required>
				</div>
				<div>
					<input type="tel" name="phone" placeholder="Phone Number" required>
				</div>
				<div>
					<button type="submit">Stay Notified!</button>
				</div>
			</form>
		</div>
	</div>
</div>
<div id="volunteer" class="fullpage">
	<div class="container">
		<div class="header">
			<h1>Volunteer</h1>
		</div>
		<div class="banner">
			<form id="volunteerForm" action="/volunteer.php" method="POST">
				<div>
					<input type="text" name="full_name" placeholder="Full Name" required>
				</div>
				<div>
					<input type="email" name="email" placeholder="Email" required>
				</div>
				<div>
					<input type="tel" name="phone" placeholder="Phone Number" required>
				</div>
				<div>
					<select name="position">
                        <option selected>Choose a Position...</option>
                        <option value="Flyer Distributor">Flyer Distributor</option>
                        <option value="Social Media">Social Media</option>
                        <option value="Sign Setter">Sign Setter</option>
                    </select>
				</div>
				<div>
					<button type="submit">Sign Up</button>
				</div>
			</form>
		</div>
	</div>
</div>
<div id="donate" class="fullpage">
	<div class="container">
		<div class="header">
			<h1>Donate</h1>
		</div>
		<div class="banner">
			<div>
				<h2>What is your contribution?</h2>
			</div>
			<div class="donate-buttons">
				<form action="https://www.paypal.com/donate" method="POST" target="_top">
					<input type="hidden" name="business" value="9RCQDWAKC8LYW">
					<input type="hidden" name="no_recurring" value="1">
					<input type="hidden" name="currency_code" value="USD">
					<button name="amount" value="10" type="submit">$10</button>
					<button name="amount" value="20" type="submit">$20</button>
					<button name="amount" value="50" type="submit">$50</button>
					<button name="amount" value="100" type="submit">$100</button>
					<button type="submit">Other</button>
					<img alt="" border="0" src="https://www.paypal.com/en_US/i/scr/pixel.gif" width="1" height="1">
				</form>
			</div>
		</div>
	</div>
</div>
<div id="contact" class="fullpage">
	<div class="container">
		<div class="header">
			<h1>Contact</h1>
		</div>
		<div class="banner">
			<form id="contactForm" method="POST" action="/contact.php">
				<div>
					<input placeholder="Your Email" type="email" required name="email" maxlength="255">
				</div>
				<div>
					<input placeholder="Full Name" type="text" required name="full_name" maxlength="255">
				</div>
				<div>
					<input placeholder="Subject" type="text" required name="subject" maxlength="255">
				</div>
				<div>
					<textarea name="message" placeholder="Message"></textarea>
				</div>
				<div>
					<button type="submit">Send</button>
				</div>
			</form>
		</div>
	</div>
</div>
<?php include('../inc/footer.php'); ?>
